Karia
ReferencesOpenapiOrigination

Calculate novated finance details

POST
/organisation/{orgId}/workspace/{workspaceId}/origination/deal/{dealId}/quote/{quoteId}/calculate-novated-finance

Calculate novated finance details for the specified quote and return the derived finance output.

ApiKeyAuth
headerx-api-key<token>

API key for authentication

orgId*string
workspaceId*string
dealId*string
quoteId*string

Response Body

Successful response

application/json
  1. response
type*string
details*
Example Request
curl -X POST 'https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/origination/deal/string/quote/string/calculate-novated-finance'
Example Response
{  "type": "novated_finance",  "details": {    "totalAmountFinanced": {      "exGstAmount": "0.00",      "gstAmount": "0.00",      "incGstAmount": "0.00"    },    "totalInvestmentAmount": {      "exGstAmount": "0.00",      "gstAmount": "0.00",      "incGstAmount": "0.00"    },    "financePayments": {      "monthlyPaymentToFinanciers": {        "exGstAmount": "0.00",        "gstAmount": "0.00",        "incGstAmount": "0.00"      },      "monthlyBudgetedFinancePayments": {        "exGstAmount": "0.00",        "gstAmount": "0.00",        "incGstAmount": "0.00"      },      "payrollCycleBudgetedFinancePayments": {        "exGstAmount": "0.00",        "gstAmount": "0.00",        "incGstAmount": "0.00"      }    }  }}